ParamsAwareLocaleChangeInterceptor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.i18n
[Groovy] Class ParamsAwareLocaleChangeInterceptor

    java.lang.Object
      org.springframework.web.servlet.handler.HandlerInterceptorAdapter
          org.springframework.web.servlet.i18n.LocaleChangeInterceptor
              org.codehaus.groovy.grails.web.i18n.ParamsAwareLocaleChangeInterceptor

    @groovy.transform.CompileStatic
    class ParamsAwareLocaleChangeInterceptor
    extends org.springframework.web.servlet.i18n.LocaleChangeInterceptor

A LocaleChangeInterceptor instance that is aware of the Grails params object.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class org.springframework.web.servlet.i18n.LocaleChangeInterceptor
DEFAULT_PARAM_NAME

Property Summary
`java.lang.String` | `paramName`

Method Summary
`boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`
`void` | `setParamName(java.lang.String name)`

Methods inherited from class org.springframework.web.servlet.i18n.LocaleChangeInterceptor
org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setParamName(java.lang.String), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getParamName(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#preHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#afterConcurrentHandlingStarted(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#postHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, org.springframework.web.servlet.ModelAndView), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#afterCompletion(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, java.lang.Exception), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(long, int), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(long), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#equals(java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#toString(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#hashCode(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getClass(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#notify(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#notifyAll()

Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter
org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterConcurrentHandlingStarted(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#preHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#postHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, org.springframework.web.servlet.ModelAndView), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterCompletion(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, java.lang.Exception), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long, int), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#equals(java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#toString(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#hashCode(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#getClass(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notify(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notifyAll()

Property Detail

### paramName

    java.lang.String paramName

Method Detail

### preHandle

    @java.lang.Override
    boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)

### setParamName

    void setParamName(java.lang.String name)

Groovy Documentation